/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao;

import com.rjconsultores.ventaboletos.entidad.EsquemaCorrida;
import com.rjconsultores.ventaboletos.entidad.EsquemaTramo;
import java.util.List;

/**
 *
 * @author Rafius
 */
public interface EsquemaTramoDAO extends GenericDAO<EsquemaTramo, Integer> {

    public List<EsquemaTramo> obtenerPorEsquemaCorrida(EsquemaCorrida ec);

    public List<EsquemaTramo> obtenerPorEsquemaCorridaOrderNumSec(EsquemaCorrida ec);

    public List<EsquemaTramo> obtenerAtivosDesativosPorEsquemaCorrida(EsquemaCorrida esquemaCorrida);
    
    Boolean verificarDuplicidadeEsquemaTramo(EsquemaTramo esquemaTramo);
}
